webdevqa.jp.net

EclipseADTアップデートが機能しない

Android sdkをに更新し、ecpliseを介してadtを更新してみました

ヘルプ->更新を確認する

このアクションにより、次のようなダイアログが表示されます。

更新が見つかりません

しかし、私のSDKには次のように書かれています。

このAndroidはSDKに必要ですAndroid開発キット21.1.0以降現在のバージョンは21.1.0.v201212060256-543035です

ADTを最新バージョンに更新してください。

私を助けてください、そしてあなたは私の計り知れない不朽の感謝を持っています。

20
user1528506

編集。 2016年3月26日

Googleが発表したことに注意してください:EclipseでのAndroid Developer Tools(ADT)のサポートが終了しました、Android Studio。への移行を検討してください


解決:

最速のインストール方法Eclipseを削除したり、データ/設定を失うことなくそれを解決することがわかりました

  1. 行く ここ ダウンロードADTの最新バージョン、現在 ADT-23.0.7.Zip (*)
  2. Eclipse> Help> Install new software...>で、インストール中の不要な遅延を回避するために、Contact all update sites during install to find required software(下、最後の設定)のチェックを外します。
  3. 同じ画面(上)Add> Archiveをクリック>ダウンロードしたADT-X.X.X.Zipを選択>画面のインストール手順に従います

コメントで言及されているように、そのような更新でまだ問題が発生する場合は、インストール前に以前のバージョンのADTを削除してみてください。


(*) 以前のバージョン:

ADTの更新に合わせて編集、このソリューションはどのバージョンでも機能するようです:D

50
madlymad

ADT23 +で別の問題が発生しました。

私のADTプラグインは古くなっていましたが、Eclipseはまだ最新バージョンがすでにインストールされていると言っていました。アーカイブを使用して最新のADTバージョンを手動でインストールすることも機能しませんでした。

Eclipseが間違っていたので、ADTプラグインをクリーンインストールしました。

  1. EclipseでADTをアンインストールします:ヘルプ> Eclipseについて>インストールの詳細

  2. プラグインを選択し、アンインストール...をクリックします

  3. Eclipseを再起動します

  4. ADTを再度インストールします:ヘルプ>新しいソフトウェアをインストールします...

2
Hartok

22.6.1にアップグレードしたときに同様の問題が発生し、Androidチームからサポートを受けました。解決策は非常に簡単でした。

あなたは行く必要がありますヘルプ-新しいソフトウェアをインストールしますそしてそこで選択しますhttpS://(sが重要)サイトを更新し、インストールを実行します。

これをチェックしてください solution on Android IssueTracker。

2

私も同じ問題を抱えていました。コマンドラインの更新が何らかの理由で機能しませんでした。これは、これまでのアップデートでは経験したことのない、ある種のバグです。これが私がそれを修正するためにしたことです:

  • Eclipseインストールを削除しました

  • 開発者のWebサイト からSDKの新しいコピーをダウンロードしました

  • sDKを解凍し、Eclipseフォルダーのみをコピーしました

  • 私の古いEclipseフォルダーをこれに置き換えました(私はすでにSDKを持っていたので、ダウンロードの残りを削除しました)

  • eclipseを起動し、ワークスペースの場所を、私がすでに持っていた古いワークスペースにポイントしました。私のプロジェクトはすべて、私が残したままに戻ってきました。

他の方法もあるかもしれません。これは私には最も単純に思えました。他の人は、すべてのEclipseコンポーネントを1つずつ更新することを提案しましたが、それは私には退屈すぎるように思えました。 Eclipseのインストールが大幅にカスタマイズされていて、多くのプラグインがインストールされている場合は、別の方法を見つけるのが理にかなっているかもしれません。私のインストールは常にかなりミニマルなので、それを捨てて最初から始めてもかまいませんでした。

お役に立てれば!

1
Anup Cowkur

そして、Google for Android Development at link http://developer.Android.com/sdk/installing/installing-adt.html#Troubleshooting

彼らが言う:

EclipseがADTプラグインを含むリモート更新サイトを見つけられない場合は、httpsではなくhttpを使用するようにリモートサイトのURLを変更してみてください。つまり、リモートサイトの場所を次のように設定します。

http://dl-ssl.google.com/Android/Eclipse/

私にとって-それは助けです。

0
Dmitry Nelepov

更新されたバンドルをここからダウンロードします。

win32: ここ

残念ながら、既存のインストールを更新することはできません。 Eclipseの新しいコピーを使用し、更新サイトを使用してプラグインをインストールするか、バンドルを使用するだけです。

または、古いAndroidプラグインをすべて削除することでこの問題を修正できます。古いAndroidプラグインをすべて削除したら、新しいプラグインをインストールできます。

  1. Eclipseを開く
  2. ヘルプを選択
  3. EclipseSDKについてを選択します
  4. インストールの詳細を選択します
  5. ハイライトすべてAndroidプラグイン
  6. [アンインストール]を選択します
  7. Eclipseを再起動します
  8. 次に、通常どおりプラグインを再度インストールします
  9. Eclipseを再起動します

この時点で、すべてが再び機能するはずです。

解決策: https://code.google.com/p/Android/issues/detail?id=73102

0
Julius

Madlymadの解決策が機能しない場合は、これを試すこともできます solution これは私のために機能しました。

つまり、adtを完全にアンインストールしてから、アーカイブを使用して再度インストールします(上記のとおり)。

アンインストールせずに、競合するjarファイルに遭遇しました。

0
Harald